Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.inject.util
Class ReferenceMap.SoftValueReference

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.SoftReference<T>
              com.opensymphony.xwork2.inject.util.FinalizableSoftReference<Object>
                  com.opensymphony.xwork2.inject.util.ReferenceMap.SoftValueReference

All Implemented Interfaces:
  FinalizableReference, ReferenceMap.InternalReference

Enclosing class:
  ReferenceMap<K,V>

     class ReferenceMap.SoftValueReference

extends FinalizableSoftReference<Object>
implements ReferenceMap.InternalReference

Field Summary
`(package private) Object` | `keyReference`

Constructor Summary
`ReferenceMap.SoftValueReference(Object keyReference, Object value)`

Method Summary
`boolean` | `equals(Object obj)`
`void` | `finalizeReferent()`

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyReference

    Object keyReference

Constructor Detail

### ReferenceMap.SoftValueReference

    public ReferenceMap.SoftValueReference(Object keyReference,
                                           Object value)

Method Detail

### finalizeReferent

    public void finalizeReferent()

  Specified by:
    `finalizeReferent` in interface `FinalizableReference`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.